TypeInfoTest (jTDS API)
Keywords: net.sourceforge.jtds.test.TypeInfoTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class TypeInfoTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TypeInfoTest

All Implemented Interfaces:
  junit.framework.Test

public class TypeInfoTest
extends junit.framework.TestCase

Tests for the `TypeInfo` class.

Version:
  $Id: TypeInfoTest.java,v 1.1 2005/01/05 12:24:14 alin_sinpalean Exp $
Author:
  David Eaves

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TypeInfoTest(java.lang.String testName)`

Method Summary
`private void` | `assertComparesLessThan(TypeInfo t1, TypeInfo t2)`
`static void` | `main(java.lang.String[] args)`
`void` | `testCharTypes()`
`void` | `testCompareToDifferentDataType()`
`void` | `testCompareToIdentity()`
`void` | `testVarcharTypes()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeInfoTest

    public TypeInfoTest(java.lang.String testName)

Method Detail

### testCharTypes

    public void testCharTypes()

### testVarcharTypes

    public void testVarcharTypes()

### testCompareToDifferentDataType

    public void testCompareToDifferentDataType()

### testCompareToIdentity

    public void testCompareToIdentity()

### assertComparesLessThan

    private void assertComparesLessThan(TypeInfo t1,
                                        TypeInfo t2)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009